<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.restaurant.home.title">Restaurants</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-restaurant" [routerLink]="['/restaurant/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.restaurant.home.createLabel">
            Create new Restaurant
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="restaurants">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="global.field.id">ID</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.name">Name</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.addressLine1">Address Line 1</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.addressLine2">Address Line 2</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.city">City</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.postcode">Postcode</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.telephone">Telephone</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.fax">Fax</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.email">Email</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.owner">Owner</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.customer">Customer</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.restaurant.invoice">Invoice</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let restaurant of restaurants ;trackBy: trackId">
                <td><a [routerLink]="['/restaurant', restaurant.id, 'view' ]">{{restaurant.id}}</a></td>
                <td>{{restaurant.name}}</td>
                <td>{{restaurant.addressLine1}}</td>
                <td>{{restaurant.addressLine2}}</td>
                <td>{{restaurant.city}}</td>
                <td>{{restaurant.postcode}}</td>
                <td>{{restaurant.telephone}}</td>
                <td>{{restaurant.fax}}</td>
                <td>{{restaurant.email}}</td>
                <td>{{restaurant.owner}}</td>
                <td>
                    <span *ngFor="let customer of restaurant.customers; let last = last">
                            <a class="form-control-static" [routerLink]="['../customer', customer?.id, 'view' ]">{{customer.id}}</a>{{last ? '' : ', '}}
                        </span>
                </td>
                <td>
                    <span *ngFor="let invoice of restaurant.invoices; let last = last">
                            <a class="form-control-static" [routerLink]="['../invoice', invoice?.id, 'view' ]">{{invoice.id}}</a>{{last ? '' : ', '}}
                        </span>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/restaurant', restaurant.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/restaurant', restaurant.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'restaurant', { outlets: { popup: restaurant.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
